summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorgraziano.giuliani2015-07-04 16:42:17 +0200
committergraziano.giuliani2015-07-04 16:42:17 +0200
commit947f6ed2dd91c0be32a2259460d0c73ad271e984 (patch)
treeccea1f75901c764a5b3ad085a8783a352dc2a638
downloadaur-947f6ed2dd91c0be32a2259460d0c73ad271e984.tar.gz
Initial import
-rw-r--r--.AURINFO24
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD45
-rw-r--r--imagemagick_xpm_fix.patch8
4 files changed, 100 insertions, 0 deletions
diff --git a/.AURINFO b/.AURINFO
new file mode 100644
index 00000000000..d90163ea5f4
--- /dev/null
+++ b/.AURINFO
@@ -0,0 +1,24 @@
+pkgbase = metview
+ pkgdesc = ECMWF interactive meteorological application
+ pkgver = 4.4.10
+ pkgrel = 1
+ url = https://software.ecmwf.int/wiki/display/METV/Metview
+ install =
+ arch = i686
+ arch = x86_64
+ groups = science
+ license = APACHE
+ depends = magics++>=2.22
+ depends = mksh
+ depends = openmotif
+ depends = netcdf-cxx-legacy
+ depends = grib_api
+ depends = qtwebkit
+ depends = libxpm
+ source = https://software.ecmwf.int/wiki/download/attachments/3964985/Metview-4.4.10.tar.gz
+ source = imagemagick_xpm_fix.patch
+ md5sums = 13327f8ed5a344b42948f83fb2c44eb9
+ md5sums = 4ab00461ee0fe6d76081eaa89ffe9963
+
+pkgname = metview
+
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..24f41d9dbef
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,23 @@
+pkgbase = metview
+ pkgdesc = ECMWF interactive meteorological application
+ pkgver = 4.4.10
+ pkgrel = 1
+ url = https://software.ecmwf.int/wiki/display/METV/Metview
+ arch = i686
+ arch = x86_64
+ groups = science
+ license = APACHE
+ depends = magics++>=2.22
+ depends = mksh
+ depends = openmotif
+ depends = netcdf-cxx-legacy
+ depends = grib_api
+ depends = qtwebkit
+ depends = libxpm
+ source = https://software.ecmwf.int/wiki/download/attachments/3964985/Metview-4.4.10.tar.gz
+ source = imagemagick_xpm_fix.patch
+ md5sums = 13327f8ed5a344b42948f83fb2c44eb9
+ md5sums = 4ab00461ee0fe6d76081eaa89ffe9963
+
+pkgname = metview
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..bb8ffd729da
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,45 @@
+# Contributor: Graziano Giuliani <graziano.giuliani@poste.it>
+pkgname=metview
+pkgver=4.4.10
+pkgrel=1
+pkgdesc="ECMWF interactive meteorological application"
+arch=(i686 x86_64)
+url="https://software.ecmwf.int/wiki/display/METV/Metview"
+license=('APACHE')
+groups=(science)
+depends=( 'magics++>=2.22' mksh openmotif netcdf-cxx-legacy grib_api qtwebkit libxpm)
+makedepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+source=(https://software.ecmwf.int/wiki/download/attachments/3964985/Metview-${pkgver}.tar.gz imagemagick_xpm_fix.patch)
+noextract=()
+md5sums=('13327f8ed5a344b42948f83fb2c44eb9'
+ '4ab00461ee0fe6d76081eaa89ffe9963')
+
+build() {
+ cd Metview-${pkgver}
+ chmod 644 share/metview/icons/fix_last_line
+ patch -p0 -i $srcdir/imagemagick_xpm_fix.patch
+ chmod 755 share/metview/icons/fix_last_line
+ autoreconf -f -i
+ QMAKE=/usr/bin/qmake-qt4 MOC=/usr/bin/moc-qt4 \
+ UIC=/usr/bin/uic-qt4 RCC=/usr/bin/rcc-qt4 \
+ FC=gfortran F77=gfortran F9X=gfortran PYTHON=python2 \
+ ./configure --with-python-command=/usr/bin/python2 --with-proj4=/usr \
+ --with-grib-api=/usr --with-emos-libraries=/usr --with-netcdf=/usr \
+ --with-magics-home=/usr --prefix=/usr
+ sed -i src/Desktop/Makefile -e 's/-ljasper/-ljasper -lQtXmlPatterns/'
+ make || return 1
+}
+
+package()
+{
+ cd Metview-${pkgver}
+ make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/imagemagick_xpm_fix.patch b/imagemagick_xpm_fix.patch
new file mode 100644
index 00000000000..fdb8005f036
--- /dev/null
+++ b/imagemagick_xpm_fix.patch
@@ -0,0 +1,8 @@
+--- share/metview/icons/fix_last_line 2013-05-21 11:48:31.762669289 +0200
++++ share/metview/icons/fix_last_line 2013-05-21 11:47:39.427685317 +0200
+@@ -11,4 +11,5 @@
+
+ sed -e 's/"};/"\
+ };/' $1 > fixed.xpm
+
++sed -i fixed.xpm -e 's/white/#FFFFFF/' -e 's/snow1/#FFFAFA/'